<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/game-center-achievements",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Game Center achievements"
}
-->

# Game Center achievements

Manage achievements for your apps.

## Discussion

An achievement is a distinction that a player earns for reaching a milestone, or performing an action, defined by you and programmed into your app. After an achievement has gone live for any version of your app, it can’t be removed.

For more information about how to use achievements in your app, see [Manage achievements](https://developer.apple.com/help/app-store-connect/configure-game-center/manage-achievements).

## Topics

### Reading achievements

[`GET /v2/gameCenterAchievements/{id}`](/documentation/AppStoreConnectAPI/GET-v2-gameCenterAchievements-_id_)

Get information about a specific Game Center achievement.

[`GET /v2/gameCenterAchievements/{id}/versions`](/documentation/AppStoreConnectAPI/GET-v2-gameCenterAchievements-_id_-versions)

Get a list of versions for a specific Game Center achievement.

[`GET /v2/gameCenterAchievements/{id}/relationships/versions`](/documentation/AppStoreConnectAPI/GET-v2-gameCenterAchievements-_id_-relationships-versions)

Get a list of version resource IDs for a specific Game Center achievement.

[`GET /v1/gameCenterDetails/{id}/gameCenterAchievements`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterDetails-_id_-gameCenterAchievements)

List all achievement information for a Game Center detail.

[`GET /v1/gameCenterAchievements/{id}`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterAchievements-_id_)

Read information about a specific Game Center achievement.

[`GET /v1/gameCenterAchievements/{id}/localizations`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterAchievements-_id_-localizations)

Read information about the release for specific achievement.

[`GET /v1/gameCenterAchievements/{id}/releases`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterAchievements-_id_-releases)

Read the state of an achievement release and related information.

[`GET /v1/gameCenterAchievements/{id}/relationships/releases`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterAchievements-_id_-relationships-releases)

[`GET /v1/gameCenterAchievements/{id}/groupAchievement`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterAchievements-_id_-groupAchievement)

Read information about the group for specific achievement.

[`GET /v1/gameCenterAchievements/{id}/relationships/groupAchievement`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterAchievements-_id_-relationships-groupAchievement)

List associated group achievements for a specific achievement.

[`GET /v1/gameCenterDetails/{id}/achievementReleases`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterDetails-_id_-achievementReleases)

Read information about the achievement releases for specific Game Center detail.

[`GET /v1/gameCenterDetails/{id}/relationships/achievementReleases`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterDetails-_id_-relationships-achievementReleases)

### Creating, modifying, and deleting achievements

[`POST /v2/gameCenterAchievements`](/documentation/AppStoreConnectAPI/POST-v2-gameCenterAchievements)

Create a Game Center achievement.

[`PATCH /v2/gameCenterAchievements/{id}`](/documentation/AppStoreConnectAPI/PATCH-v2-gameCenterAchievements-_id_)

Update a specific Game Center achievement.

[`PATCH /v2/gameCenterAchievements/{id}/relationships/activity`](/documentation/AppStoreConnectAPI/PATCH-v2-gameCenterAchievements-_id_-relationships-activity)

Update the activity relationship for a specific Game Center achievement.

[`DELETE /v2/gameCenterAchievements/{id}`](/documentation/AppStoreConnectAPI/DELETE-v2-gameCenterAchievements-_id_)

Delete a specific Game Center achievement.

[`POST /v1/gameCenterAchievements`](/documentation/AppStoreConnectAPI/POST-v1-gameCenterAchievements)

Add an achievement to a Game Center detail.

[`PATCH /v1/gameCenterAchievements/{id}`](/documentation/AppStoreConnectAPI/PATCH-v1-gameCenterAchievements-_id_)

Modify properties for a specific achievement.

[`PATCH /v1/gameCenterAchievements/{id}/relationships/groupAchievement`](/documentation/AppStoreConnectAPI/PATCH-v1-gameCenterAchievements-_id_-relationships-groupAchievement)

Modify the achievement group for a specific achievement.

[`PATCH /v1/gameCenterAchievements/{id}/relationships/activity`](/documentation/AppStoreConnectAPI/PATCH-v1-gameCenterAchievements-_id_-relationships-activity)

[`DELETE /v1/gameCenterAchievements/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-gameCenterAchievements-_id_)

Delete a specific achievement.

### Objects

[`GameCenterAchievementV2`](/documentation/AppStoreConnectAPI/GameCenterAchievementV2)

The data structure that represents a Game Center achievement v2 resource.

[`GameCenterAchievementV2CreateRequest`](/documentation/AppStoreConnectAPI/GameCenterAchievementV2CreateRequest)

The request body you use to create a Game Center achievement v2.

[`GameCenterAchievementV2Response`](/documentation/AppStoreConnectAPI/GameCenterAchievementV2Response)

A response that contains a single Game Center achievement v2 resource.

[`GameCenterAchievementV2UpdateRequest`](/documentation/AppStoreConnectAPI/GameCenterAchievementV2UpdateRequest)

The request body you use to update a Game Center achievement v2.

[`GameCenterAchievementsV2Response`](/documentation/AppStoreConnectAPI/GameCenterAchievementsV2Response)

A response that contains a single Game Center achievement v2 resource.

[`GameCenterAchievementV2ActivityLinkageRequest`](/documentation/AppStoreConnectAPI/GameCenterAchievementV2ActivityLinkageRequest)

The data structure that represents a Game Center achievement v2 activity linkage request resource.

[`GameCenterAchievementV2VersionsLinkagesResponse`](/documentation/AppStoreConnectAPI/GameCenterAchievementV2VersionsLinkagesResponse)

A response that contains a list of Game Center achievement v2 version linkage resources.

[`GameCenterAchievement`](/documentation/AppStoreConnectAPI/GameCenterAchievement)

A reward in Game Center that players earn by completing specific challenges or milestones in a game.

[`GameCenterAchievementCreateRequest`](/documentation/AppStoreConnectAPI/GameCenterAchievementCreateRequest)

A request body you use to create a Game Center achievement.

[`GameCenterAchievementGroupAchievementLinkageRequest`](/documentation/AppStoreConnectAPI/GameCenterAchievementGroupAchievementLinkageRequest)

The request body you use to attach an achievement to an achievement group.

[`GameCenterAchievementGroupAchievementLinkageResponse`](/documentation/AppStoreConnectAPI/GameCenterAchievementGroupAchievementLinkageResponse)

A response body that contains the ID of a single related resource.

[`GameCenterAchievementResponse`](/documentation/AppStoreConnectAPI/GameCenterAchievementResponse)

The response body for endpoints that create, read, or modify a single Game Center achievement.

[`GameCenterAchievementUpdateRequest`](/documentation/AppStoreConnectAPI/GameCenterAchievementUpdateRequest)

The request body you use to update a Game Center achievement.

[`GameCenterAchievementsResponse`](/documentation/AppStoreConnectAPI/GameCenterAchievementsResponse)

The response body for endpoints that list Game Center achievements.

[`GameCenterAchievementActivityLinkageRequest`](/documentation/AppStoreConnectAPI/GameCenterAchievementActivityLinkageRequest)

[`GameCenterAchievementLocalizationsLinkagesResponse`](/documentation/AppStoreConnectAPI/GameCenterAchievementLocalizationsLinkagesResponse)

[`GameCenterAchievementReleasesLinkagesResponse`](/documentation/AppStoreConnectAPI/GameCenterAchievementReleasesLinkagesResponse)

[`StringToStringMap`](/documentation/AppStoreConnectAPI/StringToStringMap)

A dictionary object mapping arbitrary string keys to string values, used for flexible key-value metadata.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)